Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IUseCase

    com.change_vision.jude.api.inf.model.IUseCase

All Superinterfaces:
  IClass, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IClass, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IUseCase

extends IClass

Interface for UseCase.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IInclude[]` | `getAdditionInvs()` Get Addition.
`abstract IExtend[]` | `getExtendedCaseInvs()` Get extended.
`abstract IExtend[]` | `getExtends()` Get extends.
`abstract IExtentionPoint[]` | `getExtensionPoints()` Get Extension Points.
`abstract IInclude[]` | `getIncludes()` Get Includes.

Methods inherited from class com.change_vision.jude.api.inf.model.IClass
`getAttributes, getGeneralizations, getNestedClasses, getOperations, getPorts, getSpecializations, getTemplateBindings, getTemplateParameters, isAbstract, isActive, isLeaf, setAbstract, setActive, setLeaf`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getExtensionPoints

    abstract IExtentionPoint[] getExtensionPoints()

  Get Extension Points.

  Returns:
    the array of Extension Points. Return the empty array if there is none.

### getIncludes

    abstract IInclude[] getIncludes()

  Get Includes.

  Returns:
    the array of Includes. Return the empty array if there is none.

### getAdditionInvs

    abstract IInclude[] getAdditionInvs()

  Get Addition.

  Returns:
    the array of addition. Return the empty array if there is none.

### getExtends

    abstract IExtend[] getExtends()

  Get extends.

  Returns:
    the array of extension. Return the empty array if there is none.

### getExtendedCaseInvs

    abstract IExtend[] getExtendedCaseInvs()

  Get extended.

  Returns:
    the array of extension. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD